=== debian/changelog ===
libosl (0.4.3-1) unstable; urgency=low

  * New upstream release (OSL r4424).

 -- Daigo Moriwaki <daigo@debian.org>  Sat, 21 Jan 2012 17:03:57 +0900
