=== lib/Makefile ===
--- 
+++ 
@@ -64,7 +64,7 @@
 
 BASIC_OBJS = stl/pool_allocator.o \
 	hash/boardKey.o hash/hashKey.o hash/hashKeyStack.o \
-	hash/hashRandom.o hash/hashRandomPair.o  \
+	hash/hashRandom.o hash/hashRandomPair.o hash/boardKey128.o \
 	effect/numBitmapEffect.o effect/boardBitMask.o \
 	effect/liberty8.o effect/liberty8Table.o effect/moveSignature.o \
 	effect/numSimpleEffect.o \
@@ -104,7 +104,7 @@
 	misc/ncores.o misc/base64.o misc/ctime.o \
 	misc/log/htmlPerformanceLog.o misc/log/textPerformanceLog.o \
 	misc/sjis2euc.o misc/iconvConvert.o misc/binaryIO.o \
-	misc/characterEncodingConvertWin32.o \
+	misc/characterEncodingConvertWin32.o misc/filePath.o \
 	enter_king/enterKing.o
 # LIB_SEARCH_OBJS の方が相応しいがtables.ccの関係で LIB_BOARD_OBJS に
 # 入れる必要があるもの
