=== sample/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # type make DEBUG=yes to build programs for debugging
 
 LDFLAGS +=  -L$(OSL_LIB_DIR)
-LOADLIBES += -lm -lboost_thread$(BOOST_POSTFIX_MT) -lboost_program_options$(BOOST_POSTFIX)
+LOADLIBES += -lboost_thread$(BOOST_POSTFIX_MT) -lboost_program_options$(BOOST_POSTFIX) -lboost_regex$(BOOST_POSTFIX) -lm 
 
 ifndef RELEASE
 CXXOPTFLAGS ?= -O -DDEBUG
@@ -49,8 +49,9 @@
 	      count-win-loss.cc win-rate-openingbook-weight-level.cc \
               all-states2.cc find-states.cc check-ki2.cc showRecord.cc \
 	      kakinoki-to-csa.cc csa-to-kifu.cc kifu-to-myshogi.cc showRecord.cc \
-	last-position.cc 
+	      last-position.cc unique-csa.cc first-search-eval.cc
 MISC_SRCS = showCores.cc showMemory.cc convert.cc
+LEARN_SRCS = show-sibling.cc learn-piece.cc
 
 BOARD_SRCS = random_play.cc legal_moves.cc \
 	show_repetition.cc show-effect.cc \
@@ -60,7 +61,7 @@
 	$(patsubst %.cc,record/%.cc,$(RECORD_SRCS)) \
 	$(patsubst %.cc,misc/%.cc,$(MISC_SRCS))
 SEARCH_SRCS = 	sort.cc pass.cc  \
-	find-losing-moves.cc find-uplevel-king.cc \
+	find-losing-moves.cc find-uplevel-king.cc find-almost-entering.cc \
 	quiescence/quiescencestat.cc quiescence/range-vs-nodes.cc \
 	quiescence/quiescence2stat.cc \
 	$(patsubst %.cc,checkmate/%.cc,$(CHECKMATE_SRCS)) \
@@ -69,6 +70,7 @@
 	$(patsubst %.cc,rating/%.cc,$(RATING_SRCS)) \
 	annotate/annotate.cc \
 	$(patsubst %.cc,performance/%.cc,$(PERFORMANCE_SRCS)) \
+	$(patsubst %.cc,learn/%.cc,$(LEARN_SRCS)) \
 	record/checkmate-kisen.cc
 
 BOARD_PROGRAMS = $(BOARD_SRCS:.cc=)
