=== debian/changelog ===
libosl (0.5.0-1) unstable; urgency=low

  * New upstream release (OSL r4468).
  * debian/control:
    - Use the Boost 1.49 packages.  (Closes: #672746)
    - Bumped up Standards-Version to 3.9.3.
    - Build-Depends on dpkg-dev.
  * debian/makefile.local.*: Followed the upstream changes.
  * Added debian/patches/20120521_cxxflags.patch: hardening friendly.

 -- Daigo Moriwaki <daigo@debian.org>  Mon, 21 May 2012 19:13:36 +0900
