## libosl 0.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 endif()
 
 if(MINGW)
-  set (CMAKE_CXX_FLAGS "-Wall -D_MT -mthreads -static-libgcc -static-libstdc++")
+  set (CMAKE_CXX_FLAGS "-Wall -D_MT -mthreads -mwin32 -msse2 -static-libgcc -static-libstdc++ -DWIN32_LEAN_AND_MEAN")
   set (CMAKE_CXX_FLAGS_DEBUG "-O0 -g -DDEBUG")
   set (CMAKE_CXX_FLAGS_RELEASE "-O3 -DNDEBUG -march=pentium4 -funroll-loops -funswitch-loops -fpeel-loops --param large-function-growth=48000 --param inline-unit-growth=8000 --param max-inline-insns-single=8000 -fomit-frame-pointer")
   add_definitions(-DOSL_SMP=1 -DOSL_DFPN_SMP_SEARCH -DMORE_CHECKMATE_IF_CAPTURE_MAJOR -DBOOST_FILESYSTEM_VERSION=2 -DBOOST_THREAD_USE_LIB=1 -DUSE_BOOST_POOL_ALLOCATOR=1 -D_WIN32_WINNT=0x0500)
