=== lib/Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 OTHERFLAGS += -pipe $(CPUOPTION)
 
 OSL_HOME_FLAGS = -DOSL_HOME=\"$(shell dirname `pwd`)\"
-CXXFLAGS = $(OSL_HOME_FLAGS) $(CXXOPTFLAGS) $(OTHERFLAGS) \
+CXXFLAGS += $(OSL_HOME_FLAGS) $(CXXOPTFLAGS) $(OTHERFLAGS) \
 	$(WARNING_FLAGS) $(PROF) $(GCH_INCLUDES) $(INCLUDES)
 
 # all : update-headers clean-objects
@@ -104,8 +104,8 @@
 	misc/ncores.o misc/base64.o misc/ctime.o \
 	misc/log/htmlPerformanceLog.o misc/log/textPerformanceLog.o \
 	misc/sjis2euc.o misc/iconvConvert.o misc/binaryIO.o \
-	misc/characterEncodingConvertWin32.o misc/filePath.o \
-	enter_king/enterKing.o
+	misc/characterEncodingConvertWin32.o misc/filePath.o misc/eucToLang.o \
+	enter_king/enterKing.o enter_king/enterKingUtil.o enter_king/simplePredictor.o
 # LIB_SEARCH_OBJS の方が相応しいがtables.ccの関係で LIB_BOARD_OBJS に
 # 入れる必要があるもの
 EXCEPTIONAL_SEARCH_OBJS = \
@@ -132,6 +132,7 @@
 	simpleHashRecord.o quiescenceRecord.o \
 	alphaBeta2.o alphaBeta2Parallel.o moveGenerator.o \
 	alphaBeta3.o hashRejections.o moveWithComment.o \
+	moveScore.o alphaBeta4.o \
 	moveStackRejections.o \
 	analyzer/recordSet_.o analyzer/categoryMoveVector.o \
 	quiescenceLog.o \
