=== profile/Makefile ===
RELEASE = true
PROFILE = true
vpath %.cc ../lib

include ../lib/Makefile

make-directories:
	find ../lib -type d | sed "s/\.\.\/lib\///" | xargs mkdir -p
