=== release-so/Makefile ===
RELEASE = true
vpath %.cc ../lib

include ../lib/Makefile

OTHERFLAGS += -fPIC

libosl.so.1.0: $(OBJS)
	-mkdir .objs
	(cd .objs; for o in $^; do \
	  target=`echo $$o|sed -e 's/\//-/g'`; \
	  if [ ! -f $$target ]; then \
	    ln -s ../$$o $$target; \
	  fi; \
	done)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared -Wl,-soname,libosl.so.1 -o $@ $(patsubst %,.objs/%,$(subst /,-,$^)) -lboost_program_options$(BOOST_POSTFIX) -lboost_filesystem$(BOOST_POSTFIX) -lboost_serialization$(BOOST_POSTFIX) -lboost_iostreams$(BOOST_POSTFIX) -lboost_thread$(BOOST_POSTFIX_MT) -lboost_system$(BOOST_POSTFIX)
	ln -sf $@ libosl.so.1
	ln -sf $@ libosl.so

libosl.dylib: $(OBJS)
	-mkdir .objs
	(cd .objs; for o in $^; do \
	  target=`echo $$o|sed -e 's/\//-/g'`; \
	  if [ ! -f $$target ]; then \
	    ln -s ../$$o $$target; \
	  fi; \
	done)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared -dymamiclib -o $@ $(patsubst %,.objs/%,$(subst /,-,$^)) -liconv -lboost_program_options$(BOOST_POSTFIX) -lboost_filesystem$(BOOST_POSTFIX) -lboost_date_time$(BOOST_POSTFIX) -lboost_serialization$(BOOST_POSTFIX) -lboost_iostreams$(BOOST_POSTFIX) -lboost_thread$(BOOST_POSTFIX_MT) -lboost_system$(BOOST_POSTFIX)

make-directories:
	find ../lib -type d | sed "s/\.\.\/lib\///" | xargs mkdir -p
