=== release/Makefile ===
RELEASE = true
vpath %.cc ../lib
vpath %.cc ../lib/ppair

include ../lib/Makefile

make-directories:
	find ../lib -type d | sed "s/\.\.\/lib\///" | xargs mkdir -p
