=== sample/Makefile ===
--- 
+++ 
@@ -49,7 +49,8 @@
 	      count-win-loss.cc win-rate-openingbook-weight-level.cc \
               all-states2.cc find-states.cc check-ki2.cc showRecord.cc \
 	      kakinoki-to-csa.cc csa-to-kifu.cc kifu-to-myshogi.cc showRecord.cc \
-	      last-position.cc unique-csa.cc first-search-eval.cc
+	      last-position.cc unique-csa.cc first-search-eval.cc \
+              csajapanize.cc
 MISC_SRCS = showCores.cc showMemory.cc convert.cc
 LEARN_SRCS = show-sibling.cc learn-piece.cc
