=== debian/changelog ===
libosl (0.6.0-3) unstable; urgency=medium

  * Added new patches:
    - debian/patches/20140206-makefile_march.patch, to remove march build
      option.
    - debian/patches/20140208-no_sse.patch
  * Enable OSL_NO_SSE for build to support architectures on which SSE is not
    available.  (Closes: #735364)

 -- Daigo Moriwaki <daigo@debian.org>  Sat, 08 Feb 2014 15:28:37 +0900

libosl (0.6.0-2) unstable; urgency=low

  * Now build-depends on libboost1.54-all-dev.  (Closes: #722187)

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 15 Sep 2013 13:12:37 +0900

libosl (0.6.0-1) unstable; urgency=low

  * New upstream release (OSL r4503).  (Closes: #710644)
  * Removed debian/patches/20120521_cxxflags.patch, which has been applied by
    the upstream.
  * Added a patch:
    - debian/patches/20130721-TIME_UTC.patch
      to fix a compile error.
    - debian/patches/20130803-kingTable.cc.patch
      to fix a link error.
  * debian/control: Bumped up Standards-Version to 3.9.4.

 -- Daigo Moriwaki <daigo@debian.org>  Mon, 15 Jul 2013 22:21:59 +0900
