=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: libs
 Priority: optional
 Maintainer: Daigo Moriwaki <daigo@debian.org>
-Build-Depends: cdbs, dpkg-dev (>= 1.16.1~), debhelper (>= 7), quilt, libcppunit-dev (>= 1.10.2-5), libboost1.49-all-dev
-Standards-Version: 3.9.3
+Build-Depends: cdbs, dpkg-dev (>= 1.16.1~), debhelper (>= 7), quilt, libcppunit-dev (>= 1.10.2-5), libboost1.54-all-dev
+Standards-Version: 3.9.4
 Homepage: http://gps.tanaka.ecc.u-tokyo.ac.jp/gpsshogi/pukiwiki.php
 Vcs-Browser: http://git.debian.org/?p=collab-maint/libosl.git;a=summary
 Vcs-Git: git://git.debian.org/git/collab-maint/libosl.git
